Bug 1548691 - lm_sensors: Partial injection of Fedora build flags
Summary: lm_sensors: Partial injection of Fedora build flags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lm_sensors
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Fedora28BuildFlags
TreeView+ depends on / blocked
 
Reported: 2018-02-24 12:17 UTC by Florian Weimer
Modified: 2018-04-17 03:11 UTC (History)
4 users (show)

Fixed In Version: lm_sensors-3.4.0-12.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-17 03:11:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2018-02-24 12:17:20 UTC
/usr/bin/sensors, /usr/sbin/isadump, /usr/sbin/isaset in lm_sensors-3.4.0-10.fc28.x86_64, /usr/lib64/libsensors.so.4.4.0 in lm_sensors-libs-3.4.0-10.fc28.x86_64, and /usr/sbin/sensord in lm_sensors-sensord-3.4.0-10.fc28.x86_64 have not been built with the standard Fedora build flags from redhat-rpm-config.

Specifically, LDFLAGS injection is missing:

gcc -shared  -Wl,--version-script=lib/libsensors.map -Wl,-soname,libsensors.so.4 -o lib/libsensors.so.4.4.0 lib/data.lo lib/general.lo lib/error.lo lib/access.lo lib/init.lo lib/sysfs.lo lib/conf-parse.lo lib/conf-lex.lo -lc -lm

See https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/master/f/buildflags.md for information on RPM macros and environment variables provided by the build environment.

Comment 1 Fedora Update System 2018-04-12 07:52:42 UTC
lm_sensors-3.4.0-12.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c15bad127c

Comment 2 Fedora Update System 2018-04-13 16:30:38 UTC
lm_sensors-3.4.0-12.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c15bad127c

Comment 3 Fedora Update System 2018-04-17 03:11:04 UTC
lm_sensors-3.4.0-12.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.